task HRD_score {
	String input_dir
	String Tumor_LogR_file
	String Tumor_BAF_file
	String Germline_LogR_file
	String Germline_BAF_file
	String output_file_prefix
	String docker
	String cluster_config
	String disk_size
	
	command {
		Rscript /opt/hrd_score/calculate_HRD.R ${input_dir} ${Tumor_LogR_file} ${Tumor_BAF_file} ${Germline_LogR_file} ${Germline_BAF_file} ${output_file_prefix}
	}
	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File hrd_score = "${output_file_prefix}.txt"
	}
}