



**Author：** HGBS

**E-mail：**16210700112@fudan.edu.cn

**Git:** http://choppy.3steps.cn/LiXiangNan/hrd_score.git

**Last Updates:** 23/01/2019

**Description**

> 本APP适用于乳腺癌WGS数据HRD score的计算，此APP需要以ascatNgs结果作为输入。



## App使用指南
### 安装App

```bash
# 激活choppy环境
source activate choppy-latest
# 安装app
choppy install LiXiangNan/hrd_score
```

### 参数说明
查看帮助文档：

输入Rscript calculate_HRD.R --help

```bash
$ Rscript calculate_HRD.R --help
Arguments:
      --out_dir=out_directory             The output directory
      --Tumor_LogR_file=tumor_LogR        The output tumor LogR file from ascatNgs
      --Tumor_BAF_file=tumor_BAF          The output tumor BAF file from ascatNgs
      --Germline_LogR_file=Normal_LogR    The output normal LogR file from ascatNgs
      --Germline_BAF_file=Normal_BAF      The output normal BAF file from ascatNgs
      --HRD_file_prefix=prefix            The name prefix of HRD score results
      --help                              Print help information
      
       Except --help, The other parameters must be set in orders!
```

### 输入与输出：

输入文件为ascatNgs输出的LogR及BAF文件，如:

```bash
*.tumour.LogR.txt	为tumor样本LogR文件
*.normal.LogR.txt	为normal样本LogR文件
*.tumour.BAF.txt	为tumor样本BAF文件
*.normal.BAF.txt	为normal样本BAF文件
```

输出文件后缀为.txt文件：

```bash
prefix.txt	prfix为指定的输出文件名前缀
```

### 提交任务
```bash
choppy Rscript calculate_HRD.R --out_dir=out_directory --Tumor_LogR_file=tumor_LogR \
--Tumor_BAF_file=tumor_BAF --Tumor_BAF_file=tumor_BAF --Germline_BAF_file=Normal_BAF \
--Germline_BAF_file=Normal_BAF
```

## 更多使用信息
详见[Choppy使用说明](http://docs.3steps.cn))